Cancel the shipment
POST /openapi/Consignment/CancelConsignment — TMS API · Shipment Update and Cancellation
Cancels registered shipments in TMS. If parcels is provided, only the specified parcels will be canceled.
To cancel a shipment that has been labeled and transmitted to the carrier on the carrier side as well,
use CancelShipmentOnCarrier.
İstek gövdesi
clientCode(string, zorunlu): Organization code.accountCode(string, zorunlu): Account code.consignments(object[], zorunlu): Shipments to be canceled.consignments.parcels(object[]): Cancel only these parcels.consignments.consignmentNumber(string): Shipment number.
Yanıtlar
- 200: Canceled (one row per shipment)
- 400: Validation error
- 401: No token, invalid, or expired (response without body).